Name: ClientCookie-python
Version: 0.4.18
Release: alt0.1

Summary: Python module for handling HTTP cookies on the client side
Source0: ClientCookie-%version.tar.gz
License: BSD
Group: Development/Python
Requires: python
Packager: Andrey Khavryuchenko <akhavr@altlinux.ru>
Url: http://wwwsearch.sourceforge.net/ClientCookie
BuildRequires: python-devel

%description
ClientCookie is a Python module for handling HTTP cookies on the
client side, useful for accessing web sites that require cookies to be
set and then returned later. It also provides some other (optional)
useful stuff: HTTP-EQUIV and Refresh handling, automatic adding of the
Referer [sic] header and lazily-seek()able responses. These extras are
implemented using an extension that makes it easier to add new
functionality to urllib2. It has developed from a port of Gisle Aas'
Perl module HTTP::Cookies, from the [4]libwww-perl library.

%prep
%setup -n ClientCookie-%version -q

%build
env CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%files -f INSTALLED_FILES
%doc README.html README.txt doc.html ChangeLog TODO COPYING

%changelog
* Tue Jan 6 2004 Andrey Khavryuchenko <akhavr@altlinux.ru> 0.4.18-alt0.1
- Updated to 0.4.18

* Tue Dec 30 2003 Andrey Khavryuchenko <akhavr@altlinux.ru> 0.4.14-alt0.1
- Updated to 0.4.14

* Wed Dec 17 2003 Andrey Khavryuchenko <akhavr@altlinux.ru> 0.4.11-alt0.1
- Updated to 0.4.11
- Updated to python 2.3

* Sun Dec 7 2003 Andrey Khavryuchenko <akhavr@altlinux.ru> 0.4.10-alt0.1
- Updated to 0.4.10

* Wed Nov 5 2003 Andrey Khavryuchenko <akhavr@altlinux.ru> 0.4.9-alt0.1
- Updated to 0.4.9

* Mon Sep 29 2003 Andrey Khavryuchenko <akhavr@altlinux.ru> 0.4.5a-alt0.1
  Initial build
